com.sun.jna.platform.win32

## Class WinCrypt.CertStoreProviderName

- java.lang.Object
- - com.sun.jna.platform.win32.WinCrypt.CertStoreProviderName

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinCrypt

      public static class WinCrypt.CertStoreProviderName
      extends java.lang.Object
      implements NativeMapped

  Value wrapper for `lpszStoreProvider` of `Crypt32#CertOpenStore(CertStoreProviderName, int, HCRYPTPROV_LEGACY, int, Pointer)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertStoreProviderName()`
    `CertStoreProviderName(int fixedValue)`
    `CertStoreProviderName(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext fnc)` Convert the given native object into its Java representation using the given context.
    `java.lang.Class<?>` | `nativeType()` Indicate the native type used by this converter.
    `java.lang.Object` | `toNative()` Convert this object into a supported native type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertStoreProviderName

          public CertStoreProviderName()

    - #### CertStoreProviderName

          public CertStoreProviderName(int fixedValue)

    - #### CertStoreProviderName

          public CertStoreProviderName(java.lang.String name)

  - ### Method Detail

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                             FromNativeContext fnc)

      Description copied from interface: `NativeMapped`
      Convert the given native object into its Java representation using the given context.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Parameters:
        `nativeValue` - Java representation of the native type to be converted.
        `fnc` - Context in which the conversion is taking place.
      Returns:
        Converted object.

    - #### toNative

          public java.lang.Object toNative()

      Description copied from interface: `NativeMapped`
      Convert this object into a supported native type.
      Specified by:
        `toNative` in interface `NativeMapped`
      Returns:
        Java representation of the original Java object converted to a native type.

    - #### nativeType

          public java.lang.Class<?> nativeType()

      Description copied from interface: `NativeMapped`
      Indicate the native type used by this converter.
      Specified by:
        `nativeType` in interface `NativeMapped`
      Returns:
        Java class representation of the native type.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.